Archived docs.You are viewing v0.13.0. For current guidance, useLatest. Report archive issues onGitHub.
List datasets
GET
/v1/datasets
const url = 'https://data.example.test/v1/datasets';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://data.example.test/v1/datasets \ --header 'Authorization: Bearer <token>'Lists every dataset visible to the calling principal.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful response
Media typeapplication/json
Listing of datasets visible to the calling principal.
object
Examples
Exampledatasets
Dataset list for the visible Relay catalog.
{ "data": [ { "access_rights": "restricted", "conforms_to": [ "https://publicschema.org/concepts/Household", "https://schema.spdci.org/extensions/social/v1/Group" ], "dataset_id": "social_registry", "description": "Synthetic social registry used for OpenAPI contract generation.", "entities": [ "household", "individual" ], "links": { "self": "/v1/datasets/social_registry" }, "owner": "Social Ministry", "sensitivity": "personal", "title": "Social Registry", "update_frequency": "monthly" } ]}Missing or invalid bearer credential.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://id.registrystack.org/problems/registry-relay/auth/missing_credential"}Authenticated principal lacks the scope required for this operation.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://id.registrystack.org/problems/registry-relay/auth/missing_credential"}default
Section titled “default”Problem Details error response.
Media typeapplication/problem+json
RFC 9457 Problem Details, returned for every non-2xx response.
object
code
required
string
detail
required
string
request_id
required
string
status
required
integer format: int32
title
required
string
type
required
string format: uri
key
additional properties
any
Example
{ "code": "auth.missing_credential", "detail": "no credential provided in Authorization or x-api-key header", "request_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV", "status": 401, "title": "Missing credential", "type": "https://id.registrystack.org/problems/registry-relay/auth/missing_credential"}